using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace StekloMaster
{
    public partial class СТАТУСЫ_клавиатура_для_ввода_номера : Form
    {
        public СТАТУСЫ_клавиатура_для_ввода_номера()
        {
            InitializeComponent();
        }

        private void button12_Click(object sender, EventArgs e)
        {
            if (maskedTextBox2.Text != "")
                maskedTextBox2.Text = maskedTextBox2.Text.Substring(0, maskedTextBox2.Text.Length - 1);
        }

        private void StatusKlaviaturaNomer_Shown(object sender, EventArgs e)
        {
            button13.Focus();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            Button clickedButton = (Button)sender;
            maskedTextBox2.Text += clickedButton.Text;
        }

        private void button13_Click(object sender, EventArgs e)
        {
            if (this.Owner.Name == "СТАТУСЫ_главная")
            {
                СТАТУСЫ_главная gs = this.Owner as СТАТУСЫ_главная;
                gs.maskedTextBox2.Text = maskedTextBox2.Text;
            }
            else
            {
                СТАТУСЫ_выдача_заказа gs = this.Owner as СТАТУСЫ_выдача_заказа;
                gs.maskedTextBox2.Text = maskedTextBox2.Text;
            }
            this.Close();
        }
    }
}
